/*
 * Copyright (C) 2023 Birb Developers
 *
 * Birb is the legal property of its developers, whose names are too
 * numerous to list here. Please refer to the AUTHORS file distributed
 * with this source distribution
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see <https://www.gnu.org/licenses/>.
 */

#ifndef BIRB_VERSION_CONSTS_H
#define BIRB_VERSION_CONSTS_H

/**
 * BIRB_MAJOR_VERSION:
 *
 * The major version of the version of Birb that was compiled against.
 *
 * Since: 0.1
 */
#define BIRB_MAJOR_VERSION (0)

/**
 * BIRB_MINOR_VERSION:
 *
 * The minor version of the version of Birb that was compiled against.
 *
 * Since: 0.1
 */
#define BIRB_MINOR_VERSION (4)

/**
 * BIRB_MICRO_VERSION:
 *
 * The micro version of the version of Birb that was compiled against.
 *
 * Since: 0.1
 */
#define BIRB_MICRO_VERSION (0)

/**
 * BIRB_EXTRA_VERSION:
 *
 * The extra version of the version of Birb that was compiled against.
 *
 * Since: 0.1
 */
#define BIRB_EXTRA_VERSION ("")

/**
 * BIRB_VERSION:
 *
 * The full version number for the version of Birb that was compiled against.
 *
 * Since: 0.1
 */
#define BIRB_VERSION ("0.4.0")

#endif /* BIRB_VERSION_CONSTS_H */
